Bug 1265935 - Host Qos - engine should block operation when configuring more than 75% of the link's effective speed
Host Qos - engine should block operation when configuring more than 75% of th...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: nobody nobody
Michael Burman
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 03:54 EDT by Michael Burman
Modified: 2016-02-10 14:50 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 06:22:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Burman 2015-09-24 03:54:40 EDT
Description of problem:
Host Qos - engine should block operation when configuring more than 75% of the link's effective speed

It is relatively easy to achieve unpredictable network behavior via QoS
configuration, either by having mixed QoS configuration on a logical link
(i.e. some networks with QoS, some without) or by over-committing (i.e. having
the sum of "real time" traffic required by networks on a logical link surpass
the link's capabilities). Therefore, these situations will be blocked by the
engine; either none or all the networks on a logical link must have QoS
configured, and the sum of the networks' committed rate must not surpass 75%
of the link's effective speed.

http://www.ovirt.org/Features/Detailed_Host_Network_QoS

Version-Release number of selected component (if applicable):
3.6.0-0.16.master.el6

How reproducible:
100

Steps to Reproduce:
1. Attach 2 vlan networks on NIC(1G) via Setup networks 
2. assign an anonymous Qos to one network with Weight share -15, rate limit-10 and committed rate -10.
assign an anonymous Qos to second network with weighted share- 100, rate limit-1023 and committed rate-1023
3. Approve operation

Actual results:
Succeeded to approve operation.

Expected results:
Such situation should be blocked by engine.
Comment 1 Yaniv Lavi (Dary) 2015-10-07 06:22:15 EDT
We do not mind speed capping in host QOS and it was removed from calculation and validation.

Note You need to log in before you can comment on or make changes to this bug.